# Вывод денежных средств (pay-out)

## Проведение транзакции по выводу денежных средств

<mark style="color:green;">`POST`</mark> [https://prapi.tarlanpayments.kz/transaction/api/v1/system/pay-out](https://prapi.test-tarlanpayments.kz/transaction/api/v1/system/pay-out)

<mark style="color:green;">`POST`</mark> <https://sandboxapi.tarlanpayments.kz/transaction/api/v1/system/pay-out>

#### Request Body

| Name                                                     | Type    | Description                                                                                                                                      |
| -------------------------------------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| amount<mark style="color:red;">\*</mark>                 | Float   | Сумма платежа                                                                                                                                    |
| callback\_url                                            | String  | URL проекта для оправки коллбэка со статусом транзакции (см [Отправка callback](/platezhnyi-shlyuz/webhook-platezhnoi-sistemy/status-oplaty.md)) |
| description<mark style="color:red;">\*</mark>            | String  | Описание платежа (50 символов)                                                                                                                   |
| project\_order\_id                                       | String  | Идентификатор заказа на стороне проекта                                                                                                          |
| merchant\_id<mark style="color:red;">\*</mark>           | Integer | Идентификатор мерчанта присваиваемый платежной системой                                                                                          |
| project\_client\_id                                      | String  | Идентификатор клиента на стороне проекта                                                                                                         |
| project\_id<mark style="color:red;">\*</mark>            | Integer | Идентификатор проекта присваиваемый платежной системой                                                                                           |
| project\_reference\_id<mark style="color:red;">\*</mark> | String  | Номер заказа на стороне проекта                                                                                                                  |
| encrypted\_pan<mark style="color:red;">\*</mark>         | String  | [Зашифрованные данные карты](/platezhnyi-shlyuz/platezhi-bez-formy-oplaty/shifrovanie-platezhnoi-karty.md)                                       |
| user\_phone                                              | String  | Номер телефона пользователя                                                                                                                      |
| user\_email                                              | String  | Почта пользователя                                                                                                                               |
| additional\_data                                         | Object  | [Дополнительные параметры](/platezhnyi-shlyuz/dopolnitelnye-parametry.md)                                                                        |

#### Header

| Name                                            | Type   | Description                                                                                         |
| ----------------------------------------------- | ------ | --------------------------------------------------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer  Авторотационный хэш (см [Формирование подписи](/platezhnyi-shlyuz/formirovanie-podpisi.md)) |
| X-Accees-Key                                    | String | Буквенно-цифровая строка для доступа к API                                                          |

{% tabs %}
{% tab title="200: OK Пример успешного ответа" %}

```json
{
    "status": true,
    "message": "Success",
    "result": {
        "transaction_id": 139271,
        "transaction_status_code": "success",
        "acquirer_code": "jusan"
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error Пример ответа с ошибкой" %}

```json
{
    "status": false,
    "status_code": 5000,
    "message": "transaction already exists",
    "result": {}
}
```

{% endtab %}
{% endtabs %}

{% code lineNumbers="true" fullWidth="true" %}

```bash
curl --location 'https://prapi.tarlanpayments.kz/transaction/api/v1/system/pay-out' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer token1' \
--header 'X-Accees-Key: 7e6c7a61-298d-4e09-9f50-cd7c4fc5ab35' \
--data-raw '{
    "amount": 10,
    "project_client_id": "systemPayOutTest",
    "description": "System PayOut Test",
    "user_phone": "+77777777777",
    "callback_url": "https://website.com/31e680d7",
    "project_reference_id": "systemPayOutTest002",
    "merchant_id": 999,
    "project_id": 00,
    "user_email": "mail@mail.com",
    "encrypted_pan": "ZW5jcnlwdGVkX3Bhbg=="
}'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tarlanpayments.kz/platezhnyi-shlyuz/platezhi-bez-formy-oplaty/vyvod-denezhnykh-sredstv-pay-out.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
